summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDrew Walters <drewwalters96@gmail.com>2018-10-26 20:39:45 +0000
committerDrew Walters <drewwalters96@gmail.com>2018-10-26 20:53:43 +0000
commit236e098478aed9068926890f0de21e5da4af979d (patch)
tree1a033992aaadf83e6de7cb1ca2e2051c364497fb
parent7defe473d2e1111ba1738610cbecaffd6ff6151d (diff)
requirements: Update pinned requirements
Version 4.17.0 of the `keystonemiddleware` package is incompatible Python 3 and will cause Deckhand operations to fail when using Keystone authentication. This change uplifts the versions in `requirements.txt` using pur (see [0]). [0] https://pypi.org/project/pur/ Change-Id: Ie63add37828e4b859751b9c45d05164be31d4a33
Notes
Notes (review): Code-Review+2: Felipe Monteiro <felipe.monteiro@att.com> Code-Review+2: Aaron Sheffield <ajs@sheffieldfamily.net> Workflow+1: Aaron Sheffield <ajs@sheffieldfamily.net> Verified+2: Zuul Submitted-by: Zuul Submitted-at: Tue, 30 Oct 2018 18:03:40 +0000 Reviewed-on: https://review.openstack.org/613686 Project: openstack/airship-deckhand Branch: refs/heads/master
-rw-r--r--requirements.txt32
1 files changed, 16 insertions, 16 deletions
diff --git a/requirements.txt b/requirements.txt
index 959225b..6f4285e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -5,44 +5,44 @@
5hacking==1.1.0 5hacking==1.1.0
6 6
7alembic==1.0.1 7alembic==1.0.1
8beaker==1.9.1 8beaker==1.10.0
9cryptography==2.3.1 9cryptography==2.3.1
10deepdiff==3.3.0 10deepdiff==3.3.0
11falcon==1.4.1 11falcon==1.4.1
12jsonpath-ng==1.4.3 12jsonpath-ng==1.4.3
13jsonschema==2.6.0 13jsonschema==2.6.0
14keystoneauth1==3.4.0 14keystoneauth1==3.11.1
15keystonemiddleware==4.17.0 15keystonemiddleware==5.3.0
16networkx==2.1 16networkx==2.2
17oslo.cache==1.31.0 17oslo.cache==1.31.1
18oslo.concurrency==3.28.1 18oslo.concurrency==3.28.1
19oslo.config==6.6.1 19oslo.config==6.6.2
20oslo.context>=2.21.0 20oslo.context>=2.21.0
21oslo.messaging==8.1.2 21oslo.messaging==9.1.1
22oslo.db==4.41.1 22oslo.db==4.41.1
23oslo.log==3.40.1 23oslo.log==3.40.1
24oslo.middleware==3.36.0 24oslo.middleware==3.36.0
25oslo.policy==1.40.0 25oslo.policy==1.40.1
26oslo.serialization==2.28.1 26oslo.serialization==2.28.1
27oslo.utils==3.37.1 27oslo.utils==3.37.1
28pbr==5.0.0 28pbr==5.1.0
29PasteDeploy==1.5.2 29PasteDeploy==1.5.2
30Paste==2.0.3 30Paste==3.0.1
31psycopg2==2.7.4 31psycopg2==2.7.5
32 32
33# TODO(alanmeadows) 33# TODO(alanmeadows)
34# this must match the container service 34# this must match the container service
35# likely this should be imported from a 35# likely this should be imported from a
36# container sidecar long-term 36# container sidecar long-term
37python-barbicanclient==4.7.0 37python-barbicanclient==4.7.0
38python-keystoneclient==3.17.0 38python-keystoneclient==3.18.0
39python-memcached==1.59 39python-memcached==1.59
40 40
41requests==2.19.1 41requests==2.20.0
42Routes==2.4.1 42Routes==2.4.1
43six==1.11.0 43six==1.11.0
44stevedore==1.29.0 44stevedore==1.30.0
45urllib3==1.23 45urllib3==1.24
46uwsgi==2.0.17 46uwsgi==2.0.17.1
47# To support profiling in non-prod 47# To support profiling in non-prod
48Werkzeug==0.14.1 48Werkzeug==0.14.1